Lightroom and Snow Leopard

After a comment by Derrick Story on Twitter, Tom Hogarty (Lightroom Product Manager) posted an announcement on installing Lightroom under Snow Leopard. Due to an incompatibility between the original installer for Lightroom 2.0, Lightroom cannot be installed from the disk. While this issue was fixed with Lightroom 2.1, you’ll still be better off downloading the current version from Adobe and using that to install. Each version is a full installer, so you would be downloading this file to update from the disk version anyhow. All you’ll need then is your serial number and you’ll be good to go.

About Sean McCormack